SCSI_INTERNAL_DEVICE(9)

NAME
scsi_internal_device_unblock - resume a device after a block request

SYNOPSIS

int scsi_internal_device_unblock(struct scsi_device * sdev, enum scsi_device_state new_state);

ARGUMENTS

sdev
    device to resume

new_state
    state to set devices to after unblocking

DESCRIPTION

Called by scsi lld's or the midlayer to restart the device queue for the previously suspended scsi device. Called from interrupt or normal process context.

Returns zero if successful or error if not.

NOTES

This routine transitions the device to the SDEV_RUNNING state or to one of the offline states (which must be a legal transition) allowing the midlayer to goose the queue for this device.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT